Unable to get resource pool when cluster is nested in intermediate folder under Datacenter
Status: Closed   

Priority: Normal   

Assignee: Jakub Sliva   

Category: Compute resources - VMware   

Target version: 1.10.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1207165 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2589

  

Description

When there are intermediate folders in VMware vCenter tree VM create fails. I found a bug in fog list_clusters.rb and created pull

request on this (https://github.com/slivik/fog/pull/1). So after this is merged attribute full_path should work and should be used for

mapping clusters (in  app/models/compute_resources/foreman/model/vmware.rb).

Related issues:

Related to Foreman - Bug #10151: Unable to get resource pool when cluster nam... Closed 04/15/2015

Blocked by Foreman - Refactor #10997: Update fog to 1.33.0 Closed 07/03/2015

Associated revisions

Revision bb6aa56d - 08/18/2015 04:35 AM - Jakub Sliva

fixes #11274 - Unable to get resourcePoo

Cluster attribute full_path makes sense when there are intermediate folders (both between vCenter/datacenter and datacenter/cluster). There was a

bug/typo in fog (https://github.com/slivik/fog/pull/1) and after it is merged this should work.

History

#1 - 08/02/2015 05:08 PM - Jakub Sliva

Sorry wrong link to fog pull request. This is correct one: https://github.com/fog/fog/pull/3645

#2 - 08/03/2015 03:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2589 added

- Pull request deleted ()

#3 - 08/06/2015 04:09 AM - Dominic Cleal

- Blocked by Refactor #10997: Update fog to 1.33.0 added

#4 - 08/14/2015 04:43 AM - Dominic Cleal

- Related to Bug #10151: Unable to get resource pool when cluster name != cluster full_path added

#5 - 08/18/2015 05:02 AM - Jakub Sliva

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bb6aa56dd260fea02fbee94b61f50965b6c3e59e.

#6 - 08/18/2015 05:03 AM - Dominic Cleal

- Assignee set to Jakub Sliva

- translation missing: en.field_release set to 63
https://github.com/slivik/fog/pull/1
https://github.com/slivik/fog/pull/1
https://github.com/fog/fog/pull/3645
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/bb6aa56dd260fea02fbee94b61f50965b6c3e59e


#7 - 06/07/2017 04:42 AM - Daniel Lobato Garcia

- Bugzilla link set to 1207165
